Loading...
Searching...
No Matches
database.py File Reference
python configuration database

Read-only configuration database. More...

Go to the source code of this file.

## Classes

class | lirc.database.ItemLookupError
| A lookup failed, either too namy or no matches found. More...
class | lirc.database.Config
| The configuration selected, and it's sources. More...
class | lirc.database.Database
| Reflects the *.yaml files in the configs/ directory. More...

## Functions

| lirc.database._here (path)
| Return path added to current dir for file.
| lirc.database._load_kerneldrivers (configdir)
| Parse the kerneldrivers.yaml file, discard unavailable drivers.

## Variables

str | lirc.database._YAML_MSG

## Detailed Description

Read-only configuration database.

Author
  Alec Leamas

python read-only view on configuration data.

Definition in file database.py.